## adduser 2.11

=== Makefile ===
all: adduser.pl

bindir=$(DEST)/usr/sbin
etcdir=$(DEST)/etc
mandir=$(DEST)/usr/man
version=2.10

clean:
	rm -rf *~

install:
	install -g root -m 644 -o root adduser.conf $(etcdir)
	install adduser $(bindir)
	install adduserperm $(bindir)
	install deluser delgroup $(bindir)
	ln -s adduser $(bindir)/addgroup
	sed -e 's/=V/$(version)/g' adduser.8 > $(mandir)/man8/adduser.8
	ln -s adduser.8 $(mandir)/man8/addgroup.8
	sed -e 's/=V/$(version)/g' adduser.conf.5 > $(mandir)/man5/adduser.conf.5

=== debian/changelog ===
adduser (2.11) unstable; urgency=high

  * Some fixes to the deluser and delgroup scripts
  * More fixes to the adduserperm script

 -- Christoph Lameter <clameter@debian.org>  Wed, 25 Sep 1996 09:00:00 +0800

adduser (2.10) unstable; urgency=medium

  * These are severe changes to adduser. Please test before using!
  * Manpage adduser.8 updated to describe the purpose of /usr/local/sbin/adduser.local
  * Add --gecos and --passwd option for adduser
  * Add --uid and --gid options for adduser and addgroup
  * Add a script called adduserperm to set up the permissions on who can
    create new users.
  * Bug: addgroup left the password field in /etc/group empty.
  * Added deluser and delgroup scripts. Very primitive right now.

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Sep 1996 09:00:00 +0800

adduser (2.00) unstable; urgency=medium

  * New Maintainer
  * New Standards 2.1.0.0 simplifying and reducing files
  * Removed obsolete stuff
  * Fix bug #3878, #3794, #3879, #3861, #3490

 -- Christoph Lameter <clameter@debian.org>  Sun, 22 Sep 1996 09:00:00 +0800

Wed May 29 10:11:38 CDT 1996	Steve Phillips  <sjp@cvfn.org>  

	* Added part of patch from Miquel van Smoorenburg
		<miquels@cistron.nl> that I missed somehow.

Fri May 17 16:48:28 CDT 1996  	Steve Phillips  <sjp@cvfn.org>  

	* Added patch from Miquel van Smoorenburg <miquels@cistron.nl> 
		Fixes Bug#2286 and Bug#3017

	* Updated adduser manpage for --ingroup option

	* Added --ingroup option to addsysuser task as well as
		adduser.

Thu May 16 14:31:42 MET DST 1996  Miquel van Smoorenburg <miquels@cistron.nl>

	* Added new command line option --ingroup

	* Added options to adduser.conf to allow homedirectory
	  construct of /home/u/user or /home/users/user

	* Default NIS entry (+::::::) was not kept at the end

Tue May  7 14:09:30 CDT 1996	Steve Phillips	<sjp@cvfn.org>

	* Finished fixing Bug #1534

	* Fixed Bug #2285

	* Fixed Bug #2361

	* Changed man pages so they get their version numbers plugged
	  in from the makefile

	* Fixed some minor perl syntax errors

Tue Oct 24 22:21:29 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* uploaded files were incorrect, therefore reuploading

	* debian.Changelog: corrected a description

	* debian.control: added Section: field

Mon Oct 23 22:16:19 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* Makefile: moved symlink creation from postinst/prerm into 
		    the build stage

	* debian.postinst, debian.prerm: deleted
	
	* adduser.8: changed documentation for --home feature

	* adduser.pl: fixed some file locking races (Bug#1720)

	* adduser.pl: create home directory with setgid bit when 
		      using usergroups (Bug#1544)

	* adduser.pl: corrected permissions for copies of /etc/skel
		      files (Bug#1544)

	* adduser.pl: run /usr/local/sbin/adduser.local if it exists
		      (patch for this feature provided in Bug#1544)

	* adduser.pl: now always does chown before chmod
		      (Bug#1544, Bug#1720)

	* adduser.pl: now correctly copies dot files from /etc/skel
		      (Bug#1500)

	* adduser.pl: now gives informative message when called from
		      a non-root user (Bug#1350)

	* adduser.pl: enforces that user names are never longer than
                      8 characters (Bug#1241)

	* adduser.pl: now copies everything below /etc/skel (Bug#1542)

=== debian/control ===
Source: adduser
Section: base
Priority: required
Maintainer: Christoph Lameter <clameter@debian.org>
Standards-Version: 2.1.0.0

Package: adduser
Architecture: any
Depends: findutils,perl,perl-suid
Description: Utilities to add users and groups to the system.
 Adduser can be invoked either as "adduser" or "addgroup" by
 the system administrator or by a batch job to add users and
 groups to the system. This program can also be used to add
 an existing user to an existing group.
 .
 Adding users with "adduser" is usually better than adding them
 by hand, since the new user's UID and GID are automatically
 selected, a home directory is created, skeletal user configuration
 files are copied to the new directory, and an initial password and
 finger information are set. The whole process can be customized by
 running a user defined script on adding a user.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=adduser

build:
	$(checkdir)
#	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package) debian/tmp/usr/doc/copyright
	install -d debian/tmp/usr/man/man{5,8}
	install -d debian/tmp/usr/sbin debian/tmp/etc
	make install DEST=debian/tmp
	cp debian/notes debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.debian
	cp debian/copyright debian/tmp/usr/doc/copyright/$(package)
	chmod a+r debian/tmp/usr/doc/$(package)/*
	dpkg-gencontrol
	chown -R root.root debian/tmp/usr/doc
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package) -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## adduser 3.6

=== debian/changelog ===
adduser (3.6) stable unstable; urgency=high

  * Fixed adduser --system. (#11627)

 -- Guy Maor <maor@ece.utexas.edu>  Wed, 30 Jul 1997 22:34:50 -0500

adduser (3.5) stable unstable; urgency=HIGH

  * Changes since 3.2: (3.4 didn't make it to stable)
        * fixed behavior when grouphomes=yes (#10422, #11345).
        * don't do shell expansion on system() calls (#10425).
        * copy to skel copies entire file (#10399, #10806)
  * Turned debugging flag off (oops). (#10963)
  * Clean up on interrupts and errors. (#10965)

 -- Guy Maor <maor@ece.utexas.edu>  Fri, 25 Jul 1997 02:09:29 -0500

adduser (3.4) stable unstable; urgency=HIGH

  * fixed behavior when grouphomes=yes (#10422).
  * don't do shell expansion on system() calls (#10425).
  * copy to skel copies entire file (#10399)

 -- Guy Maor <maor@ece.utexas.edu>  Tue, 10 Jun 1997 10:45:30 -0500

adduser (3.2) frozen unstable; urgency=low

  * Corrected bug exposed by perl 5.004 (#10010).
  * Setting SKEL="" will prevent skeleton file copy. (#9997).

 -- Guy Maor <maor@ece.utexas.edu>  Fri, 23 May 1997 15:29:46 -0500

adduser (3.1) frozen unstable; urgency=high

  * Calls passwd utilities to actually do the work (so works with shadow).
  * Conforms to new UID & GID allocation standard.
  * Removed deluser, delgroup, adduserperm.  Use userdel and groupdel.
  * /etc/skel can deal with symlinks.  directories are g+s if usergroups=yes.
  * Has support for quotas.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 17 May 1997 12:21:46 -0500

adduser (2.13) stable unstable; urgency=high

  * /etc/adduser.conf added as a conffile

 -- Christoph Lameter <clameter@debian.org>  Tue, 17 Dec 1996 10:42:10 -0800

adduser (2.12) stable unstable; urgency=high

  * debmakisiert.
  * Fixed dependencies. Removed stupid script.
  * Maintainer address changed to maor@debian.org

 -- Christoph Lameter <clameter@debian.org>  Tue, 17 Dec 1996 07:36:16 -0800

=== debian/control ===
Source: adduser
Section: base
Priority: required
Maintainer: Guy Maor <maor@debian.org>
Standards-Version: 2.1.1.0

Package: adduser
Architecture: all
Depends: perl, passwd (>=961025)
Description: Add users and groups to the system.
 Adduser can create new users and groups and add existing users to
 existing groups.
 .
 Adding users with adduser is much easier than adding them by hand.
 Adduser will choose appropriate UID and GID values, create a home
 directory, copy skeletal user configuration, allow you to set an
 initial password and gecos, and optionally run a custom script.

## adduser 3.8

=== debian/changelog ===
adduser (3.8) unstable; urgency=low

  * Depend on perl-base instead of perl (16008).
  * Allow single letter names (16200).

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 11 Jan 1998 02:11:25 -0800

adduser (3.7) unstable; urgency=low

  * Add --conf option.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 23 Aug 1997 13:52:25 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: adduser
 Architecture: all
-Depends: perl, passwd (>=961025)
+Depends: perl-base, passwd (>=961025)
 Description: Add users and groups to the system.
  Adduser can create new users and groups and add existing users to
  existing groups.

=== debian/rules ===
#!/usr/bin/make -f

package = adduser
version = $(shell dpkg-parsechangelog | awk '/^Version/{print $$2}')

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -rf build *~ debian/tmp debian/{*~,files*,substvars}

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	umask 000
	install -d debian/tmp/{DEBIAN,etc,usr/{sbin,doc/adduser,man/man{5,8}}}
	cp adduser.conf debian/tmp/etc
	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
	chmod +x debian/tmp/usr/sbin/adduser
	ln -s adduser debian/tmp/usr/sbin/addgroup
	sed -e s/VERSION/$(version)/g adduser.conf.5 > \
	  debian/tmp/usr/man/man5/adduser.conf.5
	sed -e s/VERSION/$(version)/g adduser.8 > \
	  debian/tmp/usr/man/man8/adduser.8
	ln -s adduser.8.gz debian/tmp/usr/man/man8/addgroup.8.gz
	cp debian/changelog debian/tmp/usr/doc/adduser/
	find debian/tmp/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/copyright debian/tmp/usr/doc/adduser/ 
	cp debian/conffiles debian/tmp/DEBIAN
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f $(package) -a -f debian/rules
endef

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile

## adduser 3.11.1

=== po/Makefile ===
XGETTEXT = xgettext
MSGFMT = msgfmt
MSGMERGE = msgmerge

LOCALEDIR = /usr/share/locale

.SUFFIXES: .po .mo .pot

%.mo: %.po
	$(MSGFMT) -o $@ $<

%.pox: %.po adduser.pot
	$(MSGMERGE) -o $@ $^

LANG = ja fr
MO = $(addsuffix .mo,$(LANG))
POX = $(addsuffix .pox,$(LANG))

all: $(MO)
update: $(POX)

adduser.pot: ../adduser
	$(XGETTEXT) -k_ -o $@ $<

install: $(MO)
	for i in $(MO) ; do \
	  t=$(DESTDIR)/$(LOCALEDIR)/`basename $$i .mo`/LC_MESSAGES ;\
	  install -d $$t ;\
	  install -m 644 $$i $$t/adduser.mo ;\
	done

clean:
	$(RM) $(MO) *~ adduser.pot

=== debian/changelog ===
adduser (3.11.1) unstable; urgency=low

  * NMU for bugsquash, pre potato freeze
  * eval for POSIX to catch errors
  * /usr/doc -> /usr/share/doc

 -- Ben Collins <bcollins@debian.org>  Sat, 30 Oct 1999 20:54:32 -0400

adduser (3.11) unstable; urgency=low

  * fix behavior when Locale::gettext is unavailable.
  * start & stop nscd, closes: #40918, #36607.

 -- Guy Maor <maor@debian.org>  Sun, 29 Aug 1999 17:37:17 -0700

adduser (3.10) unstable; urgency=low

  * Test for home dir existence with -e, closes: #43364.
  * Make "addgroup --system" behave as "adduser --group", closes: #43345.
  * In manpage, explain difference between adduser,addgroup and
    useradd,groupadd, closes: #22820.

 -- Guy Maor <maor@debian.org>  Sun, 29 Aug 1999 11:07:18 -0700

adduser (3.9) unstable; urgency=low

  * Don't chmod symlinks, closes: #26850, #40250.
  * Allow negative uids, gids (for Hurd), closes: #39679.
  * --no-create-home option, closes: #39679.
  * I18N, thanks to Akira Yoshiyama <yosshy@debian.or.jp> and
    Raphael Hertzog <rhertzog@hrnet.fr>, closes: #33680.
  * Don't depend on perl-base, closes: #42543.
  * Be interactive, closes: #43012, #40671.

 -- Guy Maor <maor@debian.org>  Thu, 26 Aug 1999 21:39:59 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: base
 Priority: required
 Maintainer: Guy Maor <maor@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 3.0.1.0
 
 Package: adduser
 Architecture: all
-Depends: perl-base, passwd (>=961025)
+Depends: passwd (>=961025)
 Description: Add users and groups to the system.
  Adduser can create new users and groups and add existing users to
  existing groups.

=== debian/rules ===
#!/usr/bin/make -f

package = adduser
version = $(shell dpkg-parsechangelog | awk '/^Version/{print $$2}')

build:
	$(checkdir)
	$(MAKE) -C po all
	touch build

clean:
	$(checkdir)
	$(MAKE) -C po $@
	-rm -rf build *~ debian/tmp debian/{*~,files*,substvars}

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/{DEBIAN,etc,usr/{sbin,share/doc/adduser,man/man{5,8}}}
	install -m644 adduser.conf debian/tmp/etc
	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
	chmod 755 debian/tmp/usr/sbin/adduser
	ln -s adduser debian/tmp/usr/sbin/addgroup
	sed -e s/VERSION/$(version)/g adduser.conf.5 > \
	  debian/tmp/usr/man/man5/adduser.conf.5
	sed -e s/VERSION/$(version)/g adduser.8 > \
	  debian/tmp/usr/man/man8/adduser.8
	chmod 644 debian/tmp/usr/man/{man5/adduser.conf.5,man8/adduser.8}
	ln -s adduser.8.gz debian/tmp/usr/man/man8/addgroup.8.gz
	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
	find debian/tmp/usr/{share/doc,man} -type f | xargs gzip -9f
	install -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
	install -m644 debian/conffiles debian/tmp/DEBIAN
	install -m755 debian/{postinst,prerm} debian/tmp/DEBIAN
	$(MAKE) -C po DESTDIR=`pwd`/debian/tmp install 
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f $(package) -a -f debian/rules
endef

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile

## adduser 3.47

=== po/Makefile ===
--- 
+++ 
@@ -12,15 +12,15 @@
 %.pox: %.po adduser.pot
 	$(MSGMERGE) -o $@ $^
 
-LANG = ja fr
+LANG = ja fr de pt_BR es ko ru pl nl
 MO = $(addsuffix .mo,$(LANG))
 POX = $(addsuffix .pox,$(LANG))
 
 all: $(MO)
 update: $(POX)
 
-adduser.pot: ../adduser
-	$(XGETTEXT) -k_ -o $@ $<
+adduser.pot: ../adduser ../deluser ../AdduserCommon.pm
+	$(XGETTEXT) -k_ -o $@ $?
 
 install: $(MO)
 	for i in $(MO) ; do \
@@ -30,4 +30,4 @@
 	done
 
 clean:
-	$(RM) $(MO) *~ adduser.pot
+	$(RM) $(MO) *~ adduser.pot *.pox

=== debian/changelog ===
adduser (3.47) woody-proposed-updates unstable; urgency=medium

  * Really added Japanese debconf-templates. Sorry for that. Closes: #137291.
  * deluser: eval for File::Find to catch errors if perl-modules isn't
    installed. Closes: #136291.
  * Updated German po file.
  * Switched to use warnings; (rather than perl -w).

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 24 Mar 2002 17:11:53 +0100

adduser (3.46) woody-proposed-updates unstable; urgency=low

  * generate md5sums.
  * Corrected typo in adduser.8. Closes: #135444.
  * Updated Japanese po-file. Closes: #137291, #137390.
  * Fixed wording in adduser.8. Closes: #130252. 

 -- Roland Bauerschmidt <rb@debian.org>  Fri, 22 Mar 2002 15:06:15 +0100

adduser (3.45) woody-proposed-updates unstable; urgency=HIGH

  * Uploading to woody-proposed-updates as since version 3.42 some
    fixes were made I really want to get have in woody. They are quite
    unlikely to break stuff.

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 15 Dec 2001 15:46:15 +0100

adduser (3.44) unstable; urgency=HIGH

  * Quote $RET in debian/postinst. This seems to fix errors when
    upgrading. Closes: #122606.

 -- Roland Bauerschmidt <rb@debian.org>  Wed,  5 Dec 2001 23:13:54 +0100

adduser (3.43) unstable; urgency=low

  * get ready for the freeze
  * Fixed malformated line in the description and rephrased some parts.
    Closes: #114932. Also changed 'gecos' to 'GECOS field' as discussed
    on -devel.
  * Updated adduser.8 that dashes in usernames are valid without
    --force-badname as well. Closes: #116118
  * Made --firstuid and --lastuid work without usergroups as well. Oops.
    Closes: #118720.
  * Updated Russion Debconf template. Closes: #112651.
  * Changed Build-Depends to Build-Depends-Indep.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 29 Nov 2001 14:25:33 +0100

adduser (3.42) unstable; urgency=low

  * If --no-create-home is specified, adduser doesn't warn about an
    existing home directory anymore.
  * Also fixed some stupid mistake so that the verbose information that
    a system user already exists is printed probably. Closes: #112477.
  * Fixed broken reference to /usr/share/common-licenses/GPL in
    debian/copyright.
  * Removed emacs stuff from debian/changelog.
  * It should possible to translate [y/n] now. Updated
    Brazilian/Portuguese and German translations for this. Closes: #108919.
  * Added Dutch translation of the .po file. Closes: #111305.
  * Updated debian/control to represent the change in the overrides file
    from priority standard to important.

 -- Roland Bauerschmidt <rb@debian.org>  Mon, 17 Sep 2001 15:15:02 +0200

adduser (3.41) unstable; urgency=low

  * Home directories should be removed properly now. Before @dirs is
    processed, it is first sorted in reverse order to ensure and
    sub directories are process before their parent directories.
    Closes: #102929.
  * Don't copy *.dpkg-* files from skel. Closes: #105453.
  * Fixed Polish Debconf templates file. Closes: #107764.
  * There won't be much more new development except bugfixes in the
    current adduser version since I'm working on a rewrite with a more
    flexible design.

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 11 Aug 2001 11:08:14 +0200

adduser (3.40) unstable; urgency=low

  * Added Polish translation of Debconf templates files and .po file.
    Closes: #103037, #103305.
  * #102929 is unfortunately not fixed yet. I'll work on that when I'm
    back from vacation.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 12 Jul 2001 15:15:39 +0200

adduser (3.39) unstable; urgency=medium

  * Last upload was rejected because of broken dpkg-dev, and since
    I don't have my key here at LSM, this package is uploaded by
    Martin Michlmayr...
  * Debconf stuff and /etc/adduser.conf is purged in postrm if the
    package is purged. Closes: #101811.
  * Fixed typo (NISERVER instead of NISCONFIG) in AdduserCommon.pm.
    Closes: #101900.
  * adduser.conf is only modified if the value entered through debconf
    actually changed from the current value in adduser.conf.
    Closes: #101027.
  * Added Danisch translation of Debconf templates file.
    Closes: #100285.
  * Fixed typo in adduser.8. Closes: #103085.

 -- Roland Bauerschmidt <rb@debian.org>  Tue,  3 Jul 2001 14:06:47 +0200

adduser (3.38) unstable; urgency=low

  * Added Korean translation of Debconf templates files and updated
    .po file. Closes: #100648.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 14 Jun 2001 11:02:53 +0200

adduser (3.37) unstable; urgency=medium

  * -h now does the same as --help. Closes: #98789.
  * make -C /var/yp is only called if adduser is run on a NIS server.
    Thanks to Herbert Xu and Miquel van Smoorenburg for their helpful
    tips on how to check this most reliable. Currently this is done
    everytime invalidate_nscd() is called which probably doesn't
    improve the performance a lot. :-/ I couldn't figure out if there
    are static variable (like in the C function scope), and using a
    global variable is not optimal either. We have too much of that old
    cruft anyway which should be cleaned up. Should be improved later.
    Closes: #97981.

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 27 May 2001 20:34:00 -0500

adduser (3.36) unstable; urgency=medium

  * The "I hope it resolves NIS issues" release
  * make -C /var/yp is called when invalidating nscd cache. Thanks to
    Juergen Fischer for testing. Closes: #22412
  * Included example adduser.local script from John Zaitseff.
    Closes: #94245

 -- Roland Bauerschmidt <rb@debian.org>  Wed,  9 May 2001 16:28:02 -0500

adduser (3.35) unstable; urgency=low

  * Removed unnecessary dependency on perl since perl-base should be
    sufficient. Thanks to Joey Hess for pointing that out. I suspect 
    we need a versioned dependency on perl-base though since older
    perl versions don't look in /usr/share/perl5.
  * Updated usage text for --shell and --disabled-login options.



=== debian/control ===
Source: adduser
Section: base
Priority: important
Maintainer: Roland Bauerschmidt <rb@debian.org>
Standards-Version: 3.5.5.0
Build-Depends-Indep: gettext

Package: adduser
Architecture: all
Depends: perl-base (>=5.6.0), passwd (>=961025), debconf
Suggests: liblocale-gettext-perl, perl-modules
Description: Add and remove users and groups
 This package includes the adduser and deluser commands for creating
 and removing users.
 .
 o Adduser can create new users and groups and add existing users to
   existing groups.
 o Deluser can remove users and groups and remove users from a given
   group.
 .
 Adding users with adduser is much easier than adding them by hand.
 Adduser will choose appropriate UID and GID values, create a home
 directory, copy skeletal user configuration, allow you to set an
 initial password and the GECOS field.
 .
 Deluser can optionally remove and backup the user's home directory
 and mail spool or all files on the system owned by him.
 .
 Optionally a custom script can be executed after each of the commands.

=== debian/rules ===
#!/usr/bin/make -f

package = adduser
version = $(shell dpkg-parsechangelog | awk '/^Version/{print $$2}')

build:
	$(checkdir)
	$(MAKE) -C po all
	touch build

clean:
	$(checkdir)
	$(MAKE) -C po $@
	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	#install -d debian/tmp/{DEBIAN,etc,usr/{sbin,share/{doc/adduser/examples,perl5/Debian,man/{,ru_RU/}man{5,8}}}}
	install -d debian/tmp/DEBIAN debian/tmp/etc debian/tmp/usr/sbin \
		debian/tmp/usr/share/doc/adduser/examples \
		debian/tmp/usr/share/perl5/Debian \
		debian/tmp/usr/share/man/man5 \
		debian/tmp/usr/share/man/man8 \
		debian/tmp/usr/share/man/ru_RU/man5 \
		debian/tmp/usr/share/man/ru_RU/man8
	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
	sed -e s/VERSION/$(version)/g deluser > debian/tmp/usr/sbin/deluser
	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/tmp/usr/share/perl5/Debian/AdduserCommon.pm
	chmod 755 debian/tmp/usr/sbin/*
	ln -s adduser debian/tmp/usr/sbin/addgroup
	ln -s deluser debian/tmp/usr/sbin/delgroup

	./debian/scripts/install-manpages.pl $(version) doc/ debian/tmp/usr/share/man/

	install -m644 TODO debian/tmp/usr/share/doc/adduser/
	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
	find debian/tmp/usr/share/doc -type f | xargs gzip -9f
	install -m644 deluser.conf debian/tmp/etc
	install -m644 adduser.conf examples/* debian/tmp/usr/share/doc/adduser/examples
	install -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
	install -m644 debian/conffiles debian/templates debian/tmp/DEBIAN
	install -m755 debian/postinst debian/prerm debian/postrm debian/config debian/tmp/DEBIAN
	$(MAKE) -C po DESTDIR=`pwd`/debian/tmp install 

	find debian/tmp/usr -type f -print | xargs md5sum | \
		sed s,debian/tmp/,, > debian/tmp/DEBIAN/md5sums
	chmod 644 debian/tmp/DEBIAN/md5sums
	
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f $(package) -a -f debian/rules
endef

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile

## adduser 3.51

=== po/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 %.pox: %.po adduser.pot
 	$(MSGMERGE) -o $@ $^
 
-LANG = ja fr de pt_BR es ko ru pl nl
+LANG = ja fr de pt_BR es ko ru pl nl da ca
 MO = $(addsuffix .mo,$(LANG))
 POX = $(addsuffix .pox,$(LANG))

=== debian/changelog ===
adduser (3.51) unstable; urgency=low

  * Switched to po-debconf. Thanks to Christian Perrier
    <bubulle@debian.org> for the patch! Closes: #198021.
  * Include the Norwegian (bokmaal) translation by Geir Helland
    <debian@marked.no>. Closes: #196981.
  * Include the Brazilian Portuguese translations of the
    manpages by Philipe Gaspar <philipegaspar@terra.com.br>.
    Closes: #194375.
  * Include the Spanish manpages by Ruben Porras
    <nahoo82@telefonica.net>. Closes: #195437.
  * Remove duplicate word in adduser.conf.5. Closes: #191863.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 28 Aug 2003 20:59:52 +0200

adduser (3.50) unstable; urgency=low

  * Move /usr/share/doc/adduser/examples/adduser.conf to
    /usr/share/adduser/adduser.conf. Closes: #189758, #167696.
  * Fixed documentation as regards creating system resp. user
    groups. Closes: #168913.

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 20 Apr 2003 15:01:47 +0200

adduser (3.49) unstable; urgency=low

  * Updated Standards-Version.
  * Don't create /usr/doc symlink.
  * Added Danish translation of the po file. Closes: #122670.
  * Updated French translation of the Debconf template. Closes: #132381.
  * Updated Russion translation of the po file. Closes: #121098.
  * Added Catalan translation of the po file. Closes: #171800.
  * Added French translation of adduser.conf manpage. Closes: #166084.

 -- Roland Bauerschmidt <rb@debian.org>  Tue, 24 Dec 2002 11:46:46 +0100

adduser (3.48) unstable; urgency=low

  * Applied patch from Dagfinn Ilmari to honor --system when adding groups.
    Closes: #149765.
  * Use full paths of shadow tools. Closes: #154799.
  * Fixed bad entry in debian/templates.

 -- Roland Bauerschmidt <rb@debian.org>  Fri, 30 Aug 2002 21:55:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: base
 Priority: important
 Maintainer: Roland Bauerschmidt <rb@debian.org>
-Standards-Version: 3.5.5.0
-Build-Depends-Indep: gettext
+Standards-Version: 3.5.8
+Build-Depends-Indep: gettext, po-debconf
 
 Package: adduser
 Architecture: all

## adduser 3.51sdk1

=== debian/changelog ===
adduser (3.51sdk1) unstable; urgency=low

  * Changed default shell to /bin/sh.

 -- Maemo Integration <integration@maemo.org>  Fri, 14 Oct 2005 11:14:03 +0300

## adduser 3.57

=== debian/changelog ===
adduser (3.57) unstable; urgency=low

  * Roland Bauerschmidt:
    * Updated Spanish Debconf translations. Thanks to Carlos Valdivia
      Yagüe <valyag@dat.etsit.upm.es>. Closes: #251321.
    * Updated Czech Debconf translations. Thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz>. Closes: #251677.
  * Marc Haber:
    * Remove XSI:isms from debian/config. Thanks to David Weinehall.
      Closes: #254776.
    * Set Maintainer: to the adduser-devel mailing list, Roland is
      uploader.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 Jun 2004 12:14:43 +0000

adduser (3.56) unstable; urgency=low

  * Marc Haber:
    * Applied patch against pt_BR debconf template translation. Thanks
      to Adnre Luis Lopes <andrelop@debian.org>. Closes: #251280.
  * The "Alle Guten Dinge sind Drei" release.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 27 May 2004 20:02:59 +0000

adduser (3.55) unstable; urgency=low

  * Marc Haber:
    * Applied patch against pt_BR translation. Thanks to Andre Luis
      Lopes <andrelop@debian.org>. Closes: #251269.
  * The "why do new translations always come in six hours after the
    last upload" release.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 27 May 2004 19:23:28 +0000

adduser (3.54) unstable; urgency=low

  * Marc Haber:
    * Added Italian debconf templates. Thanks to Luca Monducci.
      Closes: #248007.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 27 May 2004 13:43:01 +0000

adduser (3.53) unstable; urgency=low

  * Marc Haber:
    * fix deluser to allow exotic characters like "+" in the version
      string by quoting VERSION.
    * Updated Spanish man pages. Thanks to Ruben Porras. Closes: #241087.
    * Updated French man page for adduser.conf. Thanks to Julien
      Louis. Closes: #244639.
    * Updated French debconf templates. Thanks to Christian Perrier.
      Closes: #241508.
    * Updated Japanese debconf templates. Thanks to Kenshi Muto.
      Closes: #241805.
    * Updated Danish debconf templates. Thanks to Claus Hindsgaul.
      Closes: #241845.
    * Updated Ukrainian debconf templates. Thanks to Eugeniy
      Meshcheryakov. Closes: #241851.
    * Added Greek debconf templates. Thanks to Konstantinos
      Margaritis. Closes: #243555.
    * Updated Danish translations. Thanks to Morten Brix Pedersen.
      Closes: #243078.
    * Updated German translations. Thanks to Florian Ernst. Closes:
      #244091.
    * rename no.po to nb.po to shut up a warning.
    

  * Roland Bauerschmidt:
    * Updated French translations. Thanks to Christian Perrier.
      Closes: #242773.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  8 May 2004 11:08:20 +0000

adduser (3.52) unstable; urgency=low

  * Roland Bauerschmidt:
    * Removed junk from po/nb.po.
    * Updated Brazilian Portuguese translation of the Debconf
      templates by Andre Luis Lopes <andrelop@debian.org>.
      Closes: #207944.
    * Updated Catalan translations by Jordi Mallach <jordi@debian.org>
      Closes: #190631.
    * Updated Dutch translation of the Debconf templates by
      cobaco@linux.be. Closes: #215364.
    * Fixed POT file generation, patch provided by Eugeniy Meshcheryakov
      <eugen@univ.kiev.ua>. Closes: #233285.
      The "-L Perl" is added to xgettext, which imposes a versioned
      dependency on gettext >= 0.13.
    * Updated Swedish translation of the Debconf templates by
      Leonard Norrgard <vinsci@refactor.fi>. Closes: #230381.
    * Fixed a typo in Spanish translation, reported by Jesus Roncero
      <jesus@roncero.org>. Closes: #223828.
    * Updated Danish translation by Morten Brix Pedersen <morten@wtf.dk>.
      Closes: #216420.
    * Added Simplified Chinese translations, both for programs and
      Debconf templates, by Carlos Z.F. Liu <carlos_liu@yahoo.com>.
      Closes: #230651.
    * Added Czech translations, both for programs and Debconf templates, by
      Miroslav Kure <kurem@upcase.inf.upol.cz>. Closes: #232062.
    * Added Ukranian translations, both for programs and Debconf templates,
      by Eugeniy Meshcheryakov <eugen@univ.kiev.ua>. Closes: #233552.
    * Applied patch by Denis Barbier <barbier@debian.org> for most translation
      related changes. Thanks a lot for the help. Closes: #236494.
      
  * Marc Haber:
    * add myself to Uploaders: and debian/copyright.
    * modify changelog to see who did which change.
    * fix adduser.8 to correctly document adduser --system --group.
      Renamed translated adduser.8 man pages after discussion on
      #debian-devel. Closes: #239236. Closes: #219438.
    * addgroup --system does no longer fail if system group already
      exists. Closes: #239238.
    * adduser now gives clearer error messages when user/group to be
      created as system user/group already exists as non-system.
      Thanks to Henrique de Moraes Holschuh. Closes: #143738.
    * add --system option to deluser. Adapt man pages. Rename
      translated man pages. Closes: #239261.
    * add --home option to deluser. Adapt man page. Closes: #239376
    * adapt deluser's systemcall() to honor --debug
    * add --only-if-empty switch to delgroup. Adapt man page.
      Closes: #239579
    * delgroup will of course delete non-system groups, contrary to
      comments and docs. Fix comments and docs
    * Improve warnings regarding --no-create-home. Thanks to Chris
      Halls. Closes: #141016.
    * deluser: Check for existing $pw_homedir before find to avoid
      warning if home dir not present.
    * fix debconf UI reference in templates. Thanks to Joey Hess.
      Closes: #215025.
    * fix german debconf template.
    * capitalize default choice N in correctness prompt of code and
      po files. Thanks to Justin B Rye. Closes: #238807.
    * Add turkish po-debconf translation. Thanks to Recai Oktas.
      Closes: #239140.
    * Include alioth link and mailing list to package description.
    * add --backup-to parameter to deluser. Closes: #138618.


## adduser 3.58

=== debian/changelog ===
adduser (3.58) unstable; urgency=low

  * fix inconsistent hyphenation in man pages. Thanks to Clint Adams.
    (mh) Closes: #259000.
  * Applied patch for German debconf translation by Florian Ernst.
    (rb) Closes: #261236.
  * Applied patch for Dutch debconf translation by cobaco.
    (mh) Closes: #261338.
  * Applied patch to tidy up the English program translations. Thanks
    to Adam D. Barratt. A request e-mail to the translators asking them to
    review the changes to their translation has been sent out.
    (mh) Closes: #260265.
  * Updated Catalan translations by Jordi Mallach <jordi@debian.org>.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 26 Jul 2004 21:11:40 +0200

## adduser 3.59

=== debian/changelog ===
adduser (3.59) unstable; urgency=low

  * Updated Danish program translation. Thanks to Morten Brix
    Pedersen. (mh) Closes: #262336.
  * Updated Czech program translation. Thanks to Miroslav Kure. (mh)
    Closes: #261860.
  * Updated Russian program and debconf translation. Thanks to Yuri
    Kozlov. (mh)
  * Updated Ukrainian program and debconf translation. Thanks to
    Eugeniy Meshcheryakov. (mh) Closes: #261635.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 30 Jul 2004 18:15:55 +0000

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,18 @@
 	-rm -rf debian/tmp
 	#install -d debian/tmp/{DEBIAN,etc,usr/{sbin,share/{doc/adduser/examples,perl5/Debian,man/{,ru_RU/}man{5,8}}}}
 	install -d debian/tmp/DEBIAN debian/tmp/etc debian/tmp/usr/sbin \
+		debian/tmp/usr/share/adduser \
 		debian/tmp/usr/share/doc/adduser/examples \
 		debian/tmp/usr/share/perl5/Debian \
 		debian/tmp/usr/share/man/man5 \
 		debian/tmp/usr/share/man/man8 \
 		debian/tmp/usr/share/man/ru_RU/man5 \
-		debian/tmp/usr/share/man/ru_RU/man8
+		debian/tmp/usr/share/man/ru_RU/man8 \
+		debian/tmp/usr/share/man/fr_FR/man5 \
+		debian/tmp/usr/share/man/pt_BR/man5 \
+		debian/tmp/usr/share/man/pt_BR/man8 \
+		debian/tmp/usr/share/man/es_ES/man5 \
+		debian/tmp/usr/share/man/es_ES/man8
 	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
 	sed -e s/VERSION/$(version)/g deluser > debian/tmp/usr/sbin/deluser
 	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/tmp/usr/share/perl5/Debian/AdduserCommon.pm
@@ -37,10 +43,12 @@
 	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
 	find debian/tmp/usr/share/doc -type f | xargs gzip -9f
 	install -m644 deluser.conf debian/tmp/etc
-	install -m644 adduser.conf examples/* debian/tmp/usr/share/doc/adduser/examples
+	install -m644 examples/* debian/tmp/usr/share/doc/adduser/examples
+	install -m644 adduser.conf debian/tmp/usr/share/adduser
 	install -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
-	install -m644 debian/conffiles debian/templates debian/tmp/DEBIAN
-	install -m755 debian/postinst debian/prerm debian/postrm debian/config debian/tmp/DEBIAN
+	install -m644 debian/conffiles debian/tmp/DEBIAN
+	install -m755 debian/postinst debian/postrm debian/config debian/tmp/DEBIAN
+	po2debconf debian/templates > debian/tmp/DEBIAN/templates
 	$(MAKE) -C po DESTDIR=`pwd`/debian/tmp install 
 
 	find debian/tmp/usr -type f -print | xargs md5sum | \

## adduser 3.63

=== po/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 %.pox: %.po adduser.pot
 	$(MSGMERGE) -o $@ $^
 
-LANG = ja fr de pt_BR es ko ru pl nl da ca
+LANG = ca cs da de es fr ja ko nb nl pl pt_BR ru uk zh_CN
 MO = $(addsuffix .mo,$(LANG))
 POX = $(addsuffix .pox,$(LANG))
 
@@ -20,7 +20,7 @@
 update: $(POX)
 
 adduser.pot: ../adduser ../deluser ../AdduserCommon.pm
-	$(XGETTEXT) -k_ -o $@ $?
+	$(XGETTEXT) -L Perl -k_ -o $@ $?
 
 install: $(MO)
 	for i in $(MO) ; do \

=== debian/changelog ===
adduser (3.63) unstable; urgency=low

  * allow underscores again. Bug in the regexp. Thanks to Steve
    Langasek.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 04 Mar 2005 06:38:22 +0000

adduser (3.62) unstable; urgency=low

  * Updated Ukrainian program translation. Thanks to
    Eugeniy Meshcheryakov. (mh) Closes: #294244.
  * Updated Catalan program translation. Thanks to Orestes Mas.
    (mh) Closes: #295340.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 17 Feb 2005 06:33:23 +0000

adduser (3.61) experimental; urgency=low

  * make username verification regexp configurable. (mh)
    Closes: #283110, #287535

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  7 Feb 2005 18:37:31 +0000

adduser (3.60) experimental; urgency=low

  * adduser.conf manpage fixes. Thanks to Siward de Groot. (mh)
    Closes: #268841.
  * adduser manpage fixes. Thanks to Siward de Groot. (mh)
    Closes: #268837.
  * Fix docs wrongly suggesting home dirs created sgid. Thanks to
    Shaul Karl. (mh) Closes: #286227.
  * create /etc/skel symlinks with proper uid/gid. Thanks to Deepak
    Goel. (mh) Closes: #268402.
  * Apply manpage patch from Nicolas François. Thanks. (mh) Closes: #278937.
  * Fix manpage typo. Thanks to Jari Aalto. (mh) Closes: #270266.
  * Fix adduser manpage: Adding an already-existing system user issues
    a warning. The manpage claims adduser will exit silently. (mh)
  * Add Basque program and debconf translation. Thanks to Piarres Beobide
    Egaña. (mh) Closes: #279659.
  * Add new adduser.local examples directory by John Zaitseff. (mh)
    Closes: #273010.
  * Add Italian program translation. Thanks to Luca Monducci. (mh)
    Closes: #271142.
  * Add a new config option NO_DEL_PATHS to deluser.conf with a
    sensible default in the deluser source code. In the default
    configuration, deluser will not zap any important system directories
    any more. Thanks to Ernst Kloppenburg and Klaus Ethgen. (mh)
    Closes: #293559, #271829
  * deluser will now stop deleting at a mount point. Thanks to Andreas
    Schmidt. (mh) Closes: #231809

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  5 Feb 2005 14:22:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: adduser
 Section: base
 Priority: important
-Maintainer: Roland Bauerschmidt <rb@debian.org>
-Standards-Version: 3.5.8
-Build-Depends-Indep: gettext, po-debconf
+Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
+Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
+Standards-Version: 3.6.1
+Build-Depends-Indep: gettext (>= 0.13), po-debconf
 
 Package: adduser
 Architecture: all
@@ -27,3 +28,7 @@
  and mail spool or all files on the system owned by him.
  .
  Optionally a custom script can be executed after each of the commands.
+ .
+ Adduser is maintained on http://alioth.debian.org/projects/adduser/.
+ There is also a development mailing list on
+ http://lists.alioth.debian.org/mailman/listinfo/adduser-devel/.

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,10 @@
 	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
 	find debian/tmp/usr/share/doc -type f | xargs gzip -9f
 	install -m644 deluser.conf debian/tmp/etc
-	install -m644 examples/* debian/tmp/usr/share/doc/adduser/examples
+	cp -r examples debian/tmp/usr/share/doc/adduser
+	chmod -R 644 debian/tmp/usr/share/doc/adduser/examples
+	find debian/tmp/usr/share/doc/adduser/examples -type d -print0 | xargs --null chmod 755
+	chown -R root:root debian/tmp/usr/share/doc/adduser/examples
 	install -m644 adduser.conf debian/tmp/usr/share/adduser
 	install -m644 debian/copyright debian/tmp/usr/share/doc/adduser/ 
 	install -m644 debian/conffiles debian/tmp/DEBIAN

## adduser 3.64ubuntu1

=== debian/changelog ===
adduser (3.64ubuntu1) breezy; urgency=low

  * Cheap-and-nasty hack to ignore exit code 3 (missing shadow password
    file) from chage; this fixes breakage when bootstrapping the base
    system.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jul 2005 13:19:55 +0100

adduser (3.64) unstable; urgency=low

  * The "bring the svn changes to unstable while not having time to
    address the other valid bug reports" release.
  * try Priority: - to avoid override disparities
  * Updated Norwegian Bokmal debconf templates and program translations.
    Thanks to Hans Fredrik Nordhaug. (mh) Closes: #298834
  * Re-generate adduser.pot, fix gettext bugs in deluser. Thanks to
    Hans Fredrik Nordhaug. (mh)
  * Now handles /etc/skel correctly even if it is not readable for a
    normal user. Thanks to Chapko Dimitrij. (mh) Closes: #299489
  * Zap program synopsis comments from the beginning.
  * Fix $ error in adduser.conf.5. Thanks to Kevin Ryde.
    (mh) Closes: #300641
  * Add Finnish debconf templates. Thanks to Matti Pöllä.
    (mh) Closes: #303854
  * Add Vietnamese debconf templates. Thanks to Clytie Siddall.
    (mh) Closes: #307599
  * Fix broken --disabled-login --disabled-password handling. Thanks
    to Tokka Hastrup. (mh) Closes: #302837
  * Use chage to override login.defs PASS_MAX_DAYS for system accounts.
    Thanks to Gerhard Schrenk. (mh) Closes: #298883
  * fix misdocumentation of system user password status.
    Thanks to Shaul Karl. (mh) Closes: #308881
  * add ubuntu patch to generate pot file during package build, and
    fix two s_print/s_printf invocations in deluser.
    Thanks to Martin Pitt. (mh) Closes: #313517

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 18 Jun 2005 17:09:56 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 build:
 	$(checkdir)
-	$(MAKE) -C po all
+	$(MAKE) -C po all adduser.pot
 	touch build
 
 clean:

## adduser 3.80ubuntu2

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: adduser
-Section: base
+Section: admin
 Priority: important
 Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
 Uploaders: Roland Bauerschmidt <rb@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 3.6.1
-Build-Depends-Indep: gettext (>= 0.13), po-debconf
+Standards-Version: 3.6.2
+Build-Depends-Indep: gettext (>= 0.13), po-debconf, po4a
 
 Package: adduser
 Architecture: all
-Depends: perl-base (>=5.6.0), passwd (>=961025), debconf
+Depends: perl-base (>=5.6.0), passwd (>= 1:4.0.12), debconf | debconf-2.0
 Suggests: liblocale-gettext-perl, perl-modules
+Replaces: manpages-pl (<= 20051117-1)
 Description: Add and remove users and groups
  This package includes the adduser and deluser commands for creating
  and removing users.

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,22 @@
 build:
 	$(checkdir)
 	$(MAKE) -C po all adduser.pot
+	# generate man pages
+	cd doc/po4a && po4a po4a.conf
 	touch build
 
 clean:
 	$(checkdir)
-	$(MAKE) -C po $@
+	$(MAKE) -C po update clean
+	debconf-updatepo
+	cd doc/po4a && po4a po4a.conf
+	# remove generated man pages
+	-rm -f doc/{adduser.8,adduser.conf.5,deluser.8,deluser.conf.5}.fr
+	-rm -f doc/{adduser.8,adduser.conf.5,deluser.8,deluser.conf.5}.es
+	-rm -f doc/{adduser.8,adduser.conf.5,deluser.8,deluser.conf.5}.pl
+	-rm -f doc/{adduser.8,adduser.conf.5,deluser.8,deluser.conf.5}.sv
+	-rm -f doc/{adduser.8,adduser.conf.5,deluser.8,deluser.conf.5}.pt_BR
+	-rm -f doc/{adduser.8,adduser.conf.5,deluser.8,deluser.conf.5}.ru
 	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvars
 
 binary-indep:	checkroot build
@@ -20,16 +31,22 @@
 	install -d debian/tmp/DEBIAN debian/tmp/etc debian/tmp/usr/sbin \
 		debian/tmp/usr/share/adduser \
 		debian/tmp/usr/share/doc/adduser/examples \
+		debian/tmp/usr/share/lintian/overrides \
 		debian/tmp/usr/share/perl5/Debian \
 		debian/tmp/usr/share/man/man5 \
 		debian/tmp/usr/share/man/man8 \
-		debian/tmp/usr/share/man/ru_RU/man5 \
-		debian/tmp/usr/share/man/ru_RU/man8 \
-		debian/tmp/usr/share/man/fr_FR/man5 \
+		debian/tmp/usr/share/man/ru/man5 \
+		debian/tmp/usr/share/man/ru/man8 \
+		debian/tmp/usr/share/man/fr/man5 \
+		debian/tmp/usr/share/man/fr/man8 \
+		debian/tmp/usr/share/man/pl/man5 \
+		debian/tmp/usr/share/man/pl/man8 \
+		debian/tmp/usr/share/man/sv/man5 \
+		debian/tmp/usr/share/man/sv/man8 \
 		debian/tmp/usr/share/man/pt_BR/man5 \
 		debian/tmp/usr/share/man/pt_BR/man8 \
-		debian/tmp/usr/share/man/es_ES/man5 \
-		debian/tmp/usr/share/man/es_ES/man8
+		debian/tmp/usr/share/man/es/man5 \
+		debian/tmp/usr/share/man/es/man8
 	sed -e s/VERSION/$(version)/g adduser > debian/tmp/usr/sbin/adduser
 	sed -e s/VERSION/$(version)/g deluser > debian/tmp/usr/sbin/deluser
 	sed -e s/VERSION/$(version)/g AdduserCommon.pm > debian/tmp/usr/share/perl5/Debian/AdduserCommon.pm
@@ -41,6 +58,7 @@
 
 	install -m644 TODO debian/tmp/usr/share/doc/adduser/
 	install -m644 debian/changelog debian/tmp/usr/share/doc/adduser/
+	install -m644 debian/lintian/overrides/adduser debian/tmp/usr/share/lintian/overrides
 	find debian/tmp/usr/share/doc -type f | xargs gzip -9f
 	install -m644 deluser.conf debian/tmp/etc
 	cp -r examples debian/tmp/usr/share/doc/adduser
